﻿package motta.menu
{
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import fl.motion.easing.Exponential;
	import gs.TweenLite;
	
	public class ItemG94 extends MovieClip
	{
		
		private var _id:int
		private var _params:Object
		
		public function ItemG94(id:int, params:Object):void
		{
			_id = id
			_params = params
			//
			txt.autoSize = TextFieldAutoSize.LEFT
			this.addEventListener(MouseEvent.ROLL_OVER, over)
			this.addEventListener(MouseEvent.ROLL_OUT, out)
		}
		
		/**
		 * EVENTS
		*/

		private function over(event:MouseEvent)
		{
			var mc = event.target
			TweenLite.to(mc.bgMc, 0.3, { tint:0x66ccff, ease:Exponential.easeOut } )
			TweenLite.to(mc.txt, 0.3, { x:30, tint:0x000000, ease:Exponential.easeOut } )
		}
		
		private function out(event:MouseEvent)
		{
			var mc = event.target
			TweenLite.to(mc.bgMc, 0.3, { tint:0x000000, ease:Exponential.easeOut } )
			TweenLite.to(mc.txt, 0.3, { x:20, tint:0x66ccff, ease:Exponential.easeOut } )
		}
		
		/**
		 * GET AND SET
		*/

		public function get id()
		{
			return _id;
		}
		
		public function get params()
		{
			return _params;
		}
		
	}
	
}