﻿package 
{
	import flash.display.DisplayObject;
	import flash.events.Event
	import flash.events.IOErrorEvent
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import flash.display.StageScaleMode;
	import flash.text.TextField;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	
	import motta.menu.MenuG94
	
	public class  Main extends MovieClip
	{
		
		private var _menu				:MenuG94
		private var _xmlLoader			:URLLoader
		
		public function Main():void
		{
			initStage()
			loadXML("xml/menu.xml")
		}
		
		private function loadXML(url:String):void
		{
			var xmlRequest:URLRequest = new URLRequest(url);
			_xmlLoader = new URLLoader(xmlRequest);
			_xmlLoader.addEventListener (Event.COMPLETE, xmlLoaded);
			_xmlLoader.load(xmlRequest)
		}
		
		private function xmlLoaded (event:Event):void
		{
			var xml:XML = XML(_xmlLoader.data);
			createMenu(xml);
			createButtons();
		}
		
		private function createMenu(xml:XML):void
		{
			_menu = new MenuG94(5, 1, 40);
			_menu.x = 50;
			_menu.y = 50;
			addChild(_menu);
			//
			var list:XMLList  = xml.item
			for(var i:int=0; i<list.length(); i++)
			{
				_menu.add(list.@title[i].toUpperCase(), loadSwf, { swf:list.@swf[i] } ) ;
			}
		}
		
		private function createButtons():void
		{
			nextMc.buttonMode = prevMc.buttonMode = true
			nextMc.mouseChildren = prevMc.mouseChildren = false
			nextMc.addEventListener(MouseEvent.CLICK, _menu.nextPage)
			prevMc.addEventListener(MouseEvent.CLICK, _menu.prevPage)
			_menu.addEventListener(MouseEvent.MOUSE_WHEEL, _menu.onWheel);
		}	
		
		private function initStage():void
		{
			stage.frameRate = 30
			stage.showDefaultContextMenu = false
			stage.scaleMode = StageScaleMode.NO_SCALE;
		}
		
		/**
		 * EVENTS
		*/
		
		private function loadSwf(event:MouseEvent):void
		{
			trace(event.target.params.swf)
			outTxt.text = event.target.params.swf
		}
		
	}
	
}